#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF5,0xB8,0x90,0xD9,0x9E,0x76,0x26,0x27,0xC3,0xCA,0xC3,0x35,
		0xBA,0x0C,0x83,0x45,0x83,0x28,0xAE,0x1B,0xB4,0xFF,0xA0,0x58,
		0x6F,0x05,0x27,0xF4,0x53,0x16,0x08,0x98,0xF5,0x41,0xF0,0x36,
		0x81,0x2A,0x12,0x83,0xB6,0xF8,0x45,0xAD,0xB6,0xF5,0x59,0xCE,
		0xCE,0xC9,0x81,0xEA,0xE4,0xC4,0x38,0x9E,0xD2,0xE6,0xA5,0xCC,
		0x17,0xC1,0x0E,0x8F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
